Scriptname BLMSMainScript extends ObjectReference  

Message Property BLMSShrineApocrypha Auto
Message Property BLMSShrineCave Auto
Message Property BLMSShrineDarkCastle Auto
Message Property BLMSShrineDayForest Auto
Message Property BLMSShrineMainMenu Auto
Message Property BLMSShrineMountain Auto
Message Property BLMSShrineNightForest Auto
Message Property BLMSShrineOblivion Auto

ActorBase Property seekerCreature Auto
ActorBase Property lurkerCreature Auto
ActorBase Property falmerCreature Auto
ActorBase Property chaurusCreature Auto
ActorBase Property frostbiteCreature Auto
ActorBase Property vampireCreature Auto
ActorBase Property deathhoundCreature Auto
ActorBase Property gargoyleCreature Auto
ActorBase Property foxCreature Auto
ActorBase Property wolfCreature Auto
ActorBase Property bearCreature Auto
ActorBase Property rabbitCreature Auto
ActorBase Property sprigganCreature Auto
ActorBase Property trollCreature Auto
ActorBase Property giantCreature Auto
ActorBase Property sabrecatCreature Auto
ActorBase Property wispmotherCreature Auto
ActorBase Property hagravenCreature Auto
ActorBase Property werewolfCreature Auto
ActorBase Property dremoraCreature Auto
ActorBase Property daedraCreature Auto

ObjectReference Property dayForestMarker Auto
ObjectReference Property nightForestMarker Auto
ObjectReference Property caveMarker Auto
ObjectReference Property mountainMarker Auto
ObjectReference Property darkcastleMarker Auto
ObjectReference Property apocryphaMarker Auto
ObjectReference Property oblivionMarker Auto

ObjectReference Property foedayForestMarker Auto
ObjectReference Property foenightForestMarker Auto
ObjectReference Property foecaveMarker Auto
ObjectReference Property foemountainMarker Auto
ObjectReference Property foedarkcastleMarker Auto
ObjectReference Property foeapocryphaMarker Auto
ObjectReference Property foeoblivionMarker Auto

Event OnActivate(ObjectReference actionRef)
menu()
EndEvent

Function menu()
int choice
choice=BLMSShrineMainMenu.Show()

if (choice!=7)

	if (choice==0)
		choice=BLMSShrineDayForest.Show()
		if (choice==0)
			fox()
		elseif(choice==1)
			wolf()
		elseif(choice==2)
			bear()
		elseif(choice==3)
			rabbit()
		elseif(choice==4)
			spriggan()
		elseif(choice==5)
			menu()
		endif
	elseif(choice==1)
		choice=BLMSShrineNightForest.Show()
		if (choice==0)
			wispmother()
		elseif(choice==1)
			hagraven()
		elseif(choice==2)
			werewolf()
		elseif(choice==3)
			menu()
		endif
	elseif(choice==2)
		choice=BLMSShrineMountain.Show()
		if (choice==0)
			troll()
		elseif(choice==1)
			giant()
		elseif(choice==2)
			sabrecat()
		elseif(choice==3)
			menu()
		endif
	elseif(choice==3)
		choice=BLMSShrineCave.Show()
		if (choice==0)
			falmer()
		elseif(choice==1)
			chaurus()
		elseif(choice==2)
			frostbite()
		elseif(choice==3)
			menu()
		endif
	elseif(choice==4)
		choice=BLMSShrineDarkCastle.Show()
		if (choice==0)
			vampire()
		elseif(choice==1)
			deathhound()
		elseif(choice==2)
			gargoyle()
		elseif(choice==3)
			menu()
		endif
	elseif(choice==5)
		choice=BLMSShrineApocrypha.Show()
		if (choice==0)
			seeker()
		elseif(choice==1)
			lurker()
		elseif(choice==2)
			menu()
		endif
	elseif(choice==6)
		choice=BLMSShrineOblivion.Show()
		if (choice==0)
			dremora()
		elseif(choice==1)
			daedra()
		elseif(choice==2)
			menu()
		endif
	Endif

Endif

EndFunction

Function seeker()
	Game.getPlayer().moveTo(apocryphaMarker)
	foeapocryphaMarker.placeActorAtMe(seekerCreature,1)
EndFunction

Function lurker()
	Game.getPlayer().moveTo(apocryphaMarker)
	foeapocryphaMarker.placeActorAtMe(lurkerCreature,1)
EndFunction

Function falmer()
	Game.getPlayer().moveTo(caveMarker)
	foecaveMarker.placeActorAtMe(falmerCreature,1)
EndFunction

Function chaurus()
	Game.getPlayer().moveTo(caveMarker)
	foecaveMarker.placeActorAtMe(chaurusCreature,1)
EndFunction

Function frostbite()
	Game.getPlayer().moveTo(caveMarker)
	foecaveMarker.placeActorAtMe(frostbiteCreature,1)
EndFunction

Function vampire()
	Game.getPlayer().moveTo(darkcastleMarker)
	foedarkcastleMarker.placeActorAtMe(vampireCreature,1)
EndFunction

Function deathhound()
	Game.getPlayer().moveTo(darkcastleMarker)
	foedarkcastleMarker.placeActorAtMe(deathhoundCreature,1)
EndFunction

Function gargoyle()
	Game.getPlayer().moveTo(darkcastleMarker)
	foedarkcastleMarker.placeActorAtMe(gargoyleCreature,1)
EndFunction

Function fox()
	Game.getPlayer().moveTo(dayforestMarker)
	foedayforestMarker.placeActorAtMe(foxCreature,1)
EndFunction

Function wolf()
	Game.getPlayer().moveTo(dayforestMarker)
	foedayforestMarker.placeActorAtMe(wolfCreature,1)
EndFunction

Function bear()
	Game.getPlayer().moveTo(dayforestMarker)
	foedayforestMarker.placeActorAtMe(bearCreature,1)
EndFunction

Function rabbit()
	Game.getPlayer().moveTo(dayforestMarker)
	foedayforestMarker.placeActorAtMe(rabbitCreature,1)
EndFunction

Function spriggan()
	Game.getPlayer().moveTo(dayforestMarker)
	foedayforestMarker.placeActorAtMe(sprigganCreature,1)
EndFunction

Function troll()
	Game.getPlayer().moveTo(mountainMarker)
	foemountainMarker.placeActorAtMe(trollCreature,1)
EndFunction

Function giant()
	Game.getPlayer().moveTo(mountainMarker)
	foemountainMarker.placeActorAtMe(giantCreature,1)
EndFunction

Function sabrecat()
	Game.getPlayer().moveTo(mountainMarker)
	foemountainMarker.placeActorAtMe(sabrecatCreature,1)
EndFunction

Function wispmother()
	Game.getPlayer().moveTo(nightforestMarker)
	foenightforestMarker.placeActorAtMe(wispmotherCreature,1)
EndFunction

Function hagraven()
	Game.getPlayer().moveTo(nightforestMarker)
	foenightforestMarker.placeActorAtMe(hagravenCreature,1)
EndFunction

Function werewolf()
	Game.getPlayer().moveTo(nightforestMarker)
	foenightforestMarker.placeActorAtMe(werewolfCreature,1)
EndFunction

Function dremora()
	Game.getPlayer().moveTo(oblivionMarker)
	foeoblivionMarker.placeActorAtMe(dremoraCreature,1)
EndFunction

Function daedra()
	Game.getPlayer().moveTo(oblivionMarker)
	foeoblivionMarker.placeActorAtMe(daedraCreature,1)
EndFunction