Scriptname BLMSTorchScript extends ObjectReference  

ObjectReference Property torchLight Auto
ObjectReference Property flames Auto
ObjectReference Property embers Auto

Function Toggle()
	; Empty function definition to allow Toggle to be defined inside states
EndFunction

Auto State Off

	Event OnBeginState()
		torchLight.Disable()
		flames.Disable()
		embers.Enable()
	EndEvent

	Function Toggle()
		GoToState("On")
	EndFunction

EndState

State On

	Event OnBeginState()
		torchLight.Enable()
		flames.Enable()
		embers.Disable()
	EndEvent

	Function Toggle()
		GoToState("Off")
	EndFunction

EndState



Event OnActivate(ObjectReference akActionRef)
	Toggle()
EndEvent